NSX-T Data Center REST API
System (Fabric)
Associated URIs:
| API Description | API Path |
|---|---|
Read node authentication policy and password complexity configurationReturns information about the currently configured authentication policies and password complexity on the node. |
GET /api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy
GET /api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy GET /api/v1/node/aaa/auth-policy |
Resets node authentication policy and password complexity configurationResets to default, currently configured authentication policy and password complexity on the node. Administrators need to enforce password change for existing user accounts in order to match newly configured complexity requirements in system. reset-all: resets configured Authentication policy and Password complexity reset-auth-policies: resets only configured Authentication policy reset-pwd-complexity: resets only configured Password complexity When the password policy is managed through VCF Operations, performing a reset action will update all VCF Operations–managed fields to their default password policy values as defined by VCF. Fields not managed by VCF Operations will retain their default values as defined by NSX. |
POST /api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy?action=reset-all
POST /api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy?action=reset-auth-policies POST /api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy?action=reset-pwd-complexity POST /api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-all POST /api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-auth-policies POST /api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-pwd-complexity POST /api/v1/node/aaa/auth-policy?action=reset-all POST /api/v1/node/aaa/auth-policy?action=reset-auth-policies POST /api/v1/node/aaa/auth-policy?action=reset-pwd-complexity |
Update node authentication policy and password complexity configurationUpdate the currently configured authentication policy and password complexity on the node. If any of api_max_auth_failures, api_failed_auth_reset_period, or api_failed_auth_lockout_period are modified, the http service is automatically restarted. Whereas change in any password complexity will not be applicable on already configured user passwords. Administrators need to enforce password change for existing user accounts in order to match newly configured complexity requirements enforced in system. All values from AuthenticationPolicyProperties are in sync among the management cluster nodes. If any field is not specified in the request body, the existing configured value will be retained rather than falling back to the system default value. When the VCF password management policy is configured, its properties take precedence and are strictly enforced. Any attempt to specify values that conflict with this policy will result in a 409 CONFLICT error. To modify the policy, kindly use the VCF Operations UI or API. |
PUT /api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy
PUT /api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy PUT /api/v1/node/aaa/auth-policy |